Description

Recently you had added the depth field in the wells shape file and it was available in the basket. I had downloaded it to rectify the

location of a well and tried to upload back. There was an error in uploading the rectified file.Regardless of that, the file was available

in basket but while importing there was an error. I tried to upload the original file to understand the error, there was an error showing

but regardless of that, the file was in basket. however, there was an error importing it, related to the field "depth".

Is this because the field "depth" is empty?

History

#1 - 14/12/2017 16:01 - Philippe May

- Status changed from New to Rejected

The field is named "depth", not "Depth" (notice the character's lower case vs upper case).

In general, we agreed with Giulio that all fields are lower case.

#2 - 14/12/2017 17:54 - Philippe May

I put a new version online (v2017.27). You now get a clear error message:

Error importing: "No field called "Depth" for the table "well". Available attributes are: wellcode, casing top

, id, easting, northing, elevation, type_id, status_id, infosrc_id, cf, depth, notes, obs, res_id, loc_id" 

#3 - 15/12/2017 09:49 - Pavneet Kaur

- File Screenshot (18).png added

I deleted the field "Depth" and then created a new field "depth"​ in the shape file. Created the "depth" field with type- real number.

Still there is an error in importing:

Error importing: "Unknown format code 's' for object of type 'int'"

#4 - 15/12/2017 11:09 - Pavneet Kaur

Tried changing the "Depth" to "depth" , same problem still remains. Can't understand why...

#5 - 15/12/2017 12:26 - Philippe May

The file "wells_20170921Giulio.zip" is still the same, and has attribute "Depth", not "depth"

#6 - 15/12/2017 13:31 - Pavneet Kaur
I kept the original file in the end, after trials and not succeeding.

#7 - 15/12/2017 13:55 - Pavneet Kaur

- File Screenshot (19).png added

Added the shape file with "depth" as field instead of "Depth". could upload it successfully but can't import.

error as attached:

#8 - 15/12/2017 14:51 - Philippe May

- Status changed from Rejected to Resolved

This time, there was really a bug. I corrected it, updated the software, and tried updating your file: OK.

But, i could not find any well depth: all values are "NULL". Is it right?

#9 - 15/12/2017 14:55 - Pavneet Kaur

Yes, the values are still empty in depth, in progress to give values to it. thanks! will check it.

there is still a problem with login into it. Is that also a bug?

#10 - 15/12/2017 15:02 - Philippe May

Pavneet, #4944 has been created for tracking eventual issues logging in.

#11 - 20/12/2017 21:14 - Philippe May

- Status changed from Resolved to Closed
